> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxworks.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel call

> Cancel a call that is still scheduled.



## OpenAPI

````yaml /openapi.yaml post /api/v1/cancel-call/{call_id}
openapi: 3.1.0
info:
  title: Voxworks API
  version: 1.0.0
  description: >-
    Public REST API for creating contacts, scheduling calls, retrieving call
    results, managing lists and objects, and receiving automation webhooks.
servers:
  - url: https://api.voxworks.ai
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Health
  - name: Contacts
  - name: Calls
  - name: Lists
  - name: Objects
  - name: Webhooks
paths:
  /api/v1/cancel-call/{call_id}:
    post:
      tags:
        - Calls
      summary: Cancel call
      description: Cancel a call that is still scheduled.
      operationId: cancelCall
      parameters:
        - $ref: '#/components/parameters/CallId'
      responses:
        '200':
          description: Call cancelled.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallActionResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/RateLimited'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  parameters:
    CallId:
      name: call_id
      in: path
      required: true
      schema:
        type: string
      description: Unique call ID.
  schemas:
    CallActionResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        call_id:
          type: string
        status:
          type: string
    ErrorResponse:
      type: object
      required:
        - success
        - message
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
  responses:
    BadRequest:
      description: Missing or invalid request data.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Unauthorized:
      description: Missing, malformed, or invalid authorization.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            invalid:
              value:
                success: false
                message: Invalid API key
    NotFound:
      description: The requested resource was not found or does not belong to your team.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    RateLimited:
      description: Rate limit exceeded.
      headers:
        Retry-After:
          schema:
            type: string
        X-RateLimit-Limit:
          schema:
            type: string
        X-RateLimit-Remaining:
          schema:
            type: string
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            success: false
            message: Rate limit exceeded
    InternalServerError:
      description: Internal server error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            success: false
            message: Internal server error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key
      description: 'API key from Voxworks, sent as `Authorization: Bearer YOUR_API_KEY`.'

````